#!/bin/sh
############### Begin Standard Header - Do not add comments here ###############
# 
# Licensed Materials - Property of IBM
# 
# Restricted Materials of IBM
# 
# 5724-M19
# 
# (C) COPYRIGHT IBM CORP. 2011.  All Rights Reserved.
# 
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# 
############################# End Standard Header ##############################
################################################################################
#
# Defect   Name       Date      Description
# -------  ---------  --------  -----------------------------------------------
# f268595  rbinns     04062011  initial create
#
############################## End Change History ##############################

binDir=`dirname "$0"`
. "$binDir/../bin/setupPSIEnv.sh"
CP=$CTG_CCMDB_HOME/reconfig/lib/CTGInstallCommonTemp.jar:$CTG_CCMDB_HOME/reconfig/lib/CTGPAEConfiguration.jar:$CTG_CCMDB_HOME/reconfig/lib/CTGReconfigResources.jar:$CP:$CTG_CCMDB_HOME/lib/ccmdb.jar

if [ "$CTG_CCMDB_HOME" = "CTGPSICCMDBHOMEVariableToBeReplaced" ]; then
	echo "The CTG_CCMDB_HOME variable has not been set correctly."
	exit 999
elif [ "$JAVA_HOME" = "JAVAHOMEVariableToBeReplaced" ]; then
	echo "The JAVA_HOME variable has not been set correctly."
	exit 999
elif [ "$SI_HOME" = "SIHOMEVariableToBeReplaced" ]; then
	echo "The $SI_HOME variable has not been set correctly."
	exit 999
fi

$JAVA_HOME/bin/java -Xmx1024m -cp "$CP" -Dcom.ibm.tivoli.ccmdb.install.MaximoInstallLocation="$CTG_MAXIMO_HOME" -Dcom.ibm.tivoli.ccmdb.install.InstallLocation="$CTG_CCMDB_HOME" com.ibm.tivoli.madt.reconfig.cli.ReconfigurationCLIHandler $*